For the complete documentation index, see llms.txt. This page is also available as Markdown.

Abilities

Listing abilities

Public endpoint to list all available abilities and their pricing supported by TextMaster.

List Abilities

get
Authorizations
OAuth2authorizationCodeRequired

OAuth2 Bearer token authentication

Authorization URL: Token URL: Refresh URL:
Query parameters
activitystring · enumOptional

Filters abilities on a specific activity.

Possible values:

  • translation
  • copywriting
  • proofreading
Possible values:
language_fromstringOptional

Bigram representing a language (ex: en-us). Full list available via API call.

Pattern: ^[a-z]{2}(-[a-z]{2})?$
language_tostringOptional

Bigram representing a language (ex: en-us). Full list available via API call.

Pattern: ^[a-z]{2}(-[a-z]{2})?$
currency_codestring · enumOptional

Currency used to display the pricing (defaults to your account currency).

Possible values: EUR, AUD, GBP, HKD, JPY, USD

Possible values:
localestring · enumOptional

[DEPRECATED] Locale used to display the pricing (defaults to en-EU).

Possible values:

  • en-EU: pricing in EURO
  • en-GB: pricing in GBP
  • en-US: pricing in USD
Possible values:
pageintegerOptional

Search results are limited to 100 items. Specify page number to read more than the first page.

Responses
200

Lists abilities

application/json
total_pagesintegerOptional
countintegerOptional
pageintegerOptional
per_pageintegerOptional
previous_pageinteger · nullableOptional
next_pageinteger · nullableOptional
get/v1/clients/abilities

Code samples

Last updated

Was this helpful?